-- Load Module
local Baik = _G.Baik
local Assert = Baik.Base.Assert
local Log = Baik.Base.Log

local BaikUnitFrame = _G.BaikUnitFrame
local StatusBarAction = BaikUnitFrame.Action.StatusBarAction

-- Create Module
local GeneralUnitFrame = BaikUnitFrame:NewModule("GeneralUnitFrame")

-- Private Methods
local function _SetStatusBar(statusbar, ...)
    StatusBarAction:SetClassColor(statusbar, statusbar.unit)
end

-- Ace Callbacks
function GeneralUnitFrame:OnInitialize()
    Log:i("GeneralUnitFrame OnInitialize")
end

function GeneralUnitFrame:OnEnable()
    Baik:SecureHook("UnitFrameHealthBar_Update", _SetStatusBar)
    Log:i("GeneralUnitFrame OnEnable")
end

function GeneralUnitFrame:OnDisable()
    Log:i("GeneralUnitFrame OnDisable")
end
-- Export Module
BaikUnitFrame.Frame.GeneralUnitFrame = GeneralUnitFrame
